require "numru/ggraph"
include NumRu

dir = '..'
vnames = ['Temp', 'Vor', 'QTracer', 'QTracerNoMF']

figdir = 'figs'
Dir::mkdir( figdir )



vname = vnames[0]
gphys = GPhys::NetCDF_IO.open(dir+'/'+vname+".nc", vname)

ihrs =   0
ihre = gphys.coord('time').val.size - 1

for ivar in 0..(vnames.length-1)
  for ihr in ihrs..ihre

    p 'Hour: ' + ihr.to_s

    system('ruby draw_2D_xy.rb ' + dir + ' ' + vnames[ivar] + ' ' + ihr.to_s )

    system("pstoimg -type gif -flip r270 dcl.ps")
    com = sprintf( "mv dcl.gif "+figdir+"/dcl_"+vnames[ivar]+"_"+"%0#{3}dhr.gif", ihr )
    system(com)
    com = sprintf( "mv dcl.ps  "+figdir+"/dcl_"+vnames[ivar]+"_"+"%0#{3}dhr.ps" , ihr )
    system(com)
  end
  com = "gifsicle -l0 -d 20 -o "+figdir+"/dcl_"+vnames[ivar]+".gif "+figdir+"/dcl_"+vnames[ivar]+"_*.gif"
  p com
  system(com)
end

